Echo off
REM Simple sample batch file for running Binkley 2.30 or better
REM from HeadEdit, and/or packing up the mail for shipment

REM First switch to the appropriate disk and directory
REM Change these defaults to match your setup

C:
CD C:\BT

REM We'll get a little fancy here.  If we have a command line argument
REM MAIL in the first position (%1), we'll skip Bink and just run XST.

IF "%1" == "MAIL" goto Mail

REM This invokes Binkley in MAIL mode so it polls your boss

BT MAIL

REM If Bink exits with an ERRORLEVEL of 100 (F10 key) or 0 (terminated
REM w/ ALT-X/CTRL-C) we'll just exit.  Otherwise, we'll process mail.

IF ERRORLEVEL == 100 GOTO End
IF ERRORLEVEL == 2 GOTO Mail
GOTO End

REM Here's where we process the incoming mail...
REM Note that a lot of these directories will probably need to be
REM changed to reflect your setup.  Here's a rundown:
REM The path following the -F argument is where incoming files that
REM Bink receives get put.  The -O argument is your outbound directory
REM (where msgs and attaches going out are kept).  The -P argument is
REM the directory where your XBBS-style msg bases reside.  The -#
REM argument tells XST which board or area is your netmail area in the
REM XBBS-style msg base.

:Mail
XST -AC:\BT\PKXARC -CXST.CTL -FC:\BT\FILES -OC:\BT\OUTBOUND -PC:\BT\MESS -#5 -L -T

REM This line is in case you want to run oMMM, just for reference.
REM ommm -z1 -s%Sched% -iC:\BT\Binkley.prm -mC:\BT\Msg -hC:\BT\Outbound -cC:\BT\Route.BBS -n -a

REM MakeArc just archives any outbound mail that might be waiting...
REM I put MakeArc here because, while it doesn't do any routing, it's a
REM lot easier to set up than oMMM.  If you find it doesn't do enough,
REM I recommend you get and use oMMM.

MakeArc

REM Here's where we say bye-bye to Bink and return to DOS (or HeadEdit
REM if we called the batch file from there)...

:End
Exit
